# Magaya API

Provides a Ruby interface to the [Magaya API](http://www.magaya.com/Solutions/Plug-Ins/XML-Api)

## Installation

Add this line to your application's Gemfile:

    gem 'magaya_api'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install magaya_api

## Configuration

You must set your Magaya username, password, and url. These values must be provided by whomever is responsible for running the Magaya Communication Server which you wish to connect to.

You may set these in an initializer:

    MagayaAPI.configure do |config|
      config.username   = 'myusername'
      config.password   = 'mypassword'
      config.url        = 'http://yourdomain.com/CSSoapService?wsdl'
    end

Alternatively, you can set them via three environment variables: `MAGAYA_API_USERNAME`, `MAGAYA_API_PASSWORD`, and `MAGAYA_API_URL`.

## Give Back

If you're using this gem then please consider donating so that I can continue to improve it/

[![donate](donate.png)](https://cash.me/$patrickreiner)

## Credits

This gem is written by [Patrick Reiner](https://github.com/patrickreiner).

## License

Available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
